Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest.impl
Class ATestPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.amp.amf.testing.aTest.impl.ATestPackageImpl

All Implemented Interfaces:
  ATestPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class ATestPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements ATestPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.amp.amf.testing.aTest.ATestPackage
`ATestPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.amp.amf.testing.aTest.ATestPackage
`CONSTRAINT, CONSTRAINT__AGENT, CONSTRAINT__ATTRIBUTE, CONSTRAINT__MAX_VALUE, CONSTRAINT__MEASURE, CONSTRAINT__MIN_VALUE, CONSTRAINT__QUALIFIER, CONSTRAINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MEASURE, MODEL, MODEL__CONTAINS, MODEL__CONTRAINTS, MODEL__DESCRIPTION, MODEL__NAME, MODEL__TESTS, MODEL_FEATURE_COUNT, TEST_MEMBER, TEST_MEMBER__IMPORT_URI, TEST_MEMBER_FEATURE_COUNT, TESTS, TESTS__IMPORT_URI, TESTS_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`ATestFactory` | `getATestFactory()`
`org.eclipse.emf.ecore.EReference` | `getConstraint_Agent()`
`org.eclipse.emf.ecore.EReference` | `getConstraint_Attribute()`
`org.eclipse.emf.ecore.EReference` | `getConstraint_MaxValue()`
`org.eclipse.emf.ecore.EAttribute` | `getConstraint_Measure()`
`org.eclipse.emf.ecore.EReference` | `getConstraint_MinValue()`
`org.eclipse.emf.ecore.EReference` | `getConstraint_Qualifier()`
`org.eclipse.emf.ecore.EClass` | `getConstraint()`
`org.eclipse.emf.ecore.EEnum` | `getMeasure()`
`org.eclipse.emf.ecore.EReference` | `getModel_Contains()`
`org.eclipse.emf.ecore.EReference` | `getModel_Contraints()`
`org.eclipse.emf.ecore.EAttribute` | `getModel_Description()`
`org.eclipse.emf.ecore.EAttribute` | `getModel_Name()`
`org.eclipse.emf.ecore.EReference` | `getModel_Tests()`
`org.eclipse.emf.ecore.EClass` | `getModel()`
`org.eclipse.emf.ecore.EAttribute` | `getTestMember_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getTestMember()`
`org.eclipse.emf.ecore.EAttribute` | `getTests_ImportURI()`
`org.eclipse.emf.ecore.EClass` | `getTests()`
`static ATestPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static ATestPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `ATestPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `ATestPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getModel

    public org.eclipse.emf.ecore.EClass getModel()

  Specified by:
    `getModel` in interface `ATestPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Name

    public org.eclipse.emf.ecore.EAttribute getModel_Name()

  Specified by:
    `getModel_Name` in interface `ATestPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Model.getName()`, `ATestPackage.getModel()`

### getModel_Description

    public org.eclipse.emf.ecore.EAttribute getModel_Description()

  Specified by:
    `getModel_Description` in interface `ATestPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Model.getDescription()`, `ATestPackage.getModel()`

### getModel_Tests

    public org.eclipse.emf.ecore.EReference getModel_Tests()

  Specified by:
    `getModel_Tests` in interface `ATestPackage`
  Returns:
    the meta object for the containment reference 'Tests'.
  See Also:
    `Model.getTests()`, `ATestPackage.getModel()`

### getModel_Contraints

    public org.eclipse.emf.ecore.EReference getModel_Contraints()

  Specified by:
    `getModel_Contraints` in interface `ATestPackage`
  Returns:
    the meta object for the containment reference list 'Contraints'.
  See Also:
    `Model.getContraints()`, `ATestPackage.getModel()`

### getModel_Contains

    public org.eclipse.emf.ecore.EReference getModel_Contains()

  Specified by:
    `getModel_Contains` in interface `ATestPackage`
  Returns:
    the meta object for the containment reference list 'Contains'.
  See Also:
    `Model.getContains()`, `ATestPackage.getModel()`

### getTests

    public org.eclipse.emf.ecore.EClass getTests()

  Specified by:
    `getTests` in interface `ATestPackage`
  Returns:
    the meta object for class 'Tests'.
  See Also:
    `Tests`

### getTests_ImportURI

    public org.eclipse.emf.ecore.EAttribute getTests_ImportURI()

  Specified by:
    `getTests_ImportURI` in interface `ATestPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Tests.getImportURI()`, `ATestPackage.getTests()`

### getTestMember

    public org.eclipse.emf.ecore.EClass getTestMember()

  Specified by:
    `getTestMember` in interface `ATestPackage`
  Returns:
    the meta object for class 'Test Member'.
  See Also:
    `TestMember`

### getTestMember_ImportURI

    public org.eclipse.emf.ecore.EAttribute getTestMember_ImportURI()

  Specified by:
    `getTestMember_ImportURI` in interface `ATestPackage`
  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `TestMember.getImportURI()`, `ATestPackage.getTestMember()`

### getConstraint

    public org.eclipse.emf.ecore.EClass getConstraint()

  Specified by:
    `getConstraint` in interface `ATestPackage`
  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Measure

    public org.eclipse.emf.ecore.EAttribute getConstraint_Measure()

  Specified by:
    `getConstraint_Measure` in interface `ATestPackage`
  Returns:
    the meta object for the attribute 'Measure'.
  See Also:
    `Constraint.getMeasure()`, `ATestPackage.getConstraint()`

### getConstraint_Agent

    public org.eclipse.emf.ecore.EReference getConstraint_Agent()

  Specified by:
    `getConstraint_Agent` in interface `ATestPackage`
  Returns:
    the meta object for the reference 'Agent'.
  See Also:
    `Constraint.getAgent()`, `ATestPackage.getConstraint()`

### getConstraint_Attribute

    public org.eclipse.emf.ecore.EReference getConstraint_Attribute()

  Specified by:
    `getConstraint_Attribute` in interface `ATestPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Constraint.getAttribute()`, `ATestPackage.getConstraint()`

### getConstraint_Qualifier

    public org.eclipse.emf.ecore.EReference getConstraint_Qualifier()

  Specified by:
    `getConstraint_Qualifier` in interface `ATestPackage`
  Returns:
    the meta object for the reference 'Qualifier'.
  See Also:
    `Constraint.getQualifier()`, `ATestPackage.getConstraint()`

### getConstraint_MinValue

    public org.eclipse.emf.ecore.EReference getConstraint_MinValue()

  Specified by:
    `getConstraint_MinValue` in interface `ATestPackage`
  Returns:
    the meta object for the containment reference 'Min Value'.
  See Also:
    `Constraint.getMinValue()`, `ATestPackage.getConstraint()`

### getConstraint_MaxValue

    public org.eclipse.emf.ecore.EReference getConstraint_MaxValue()

  Specified by:
    `getConstraint_MaxValue` in interface `ATestPackage`
  Returns:
    the meta object for the containment reference 'Max Value'.
  See Also:
    `Constraint.getMaxValue()`, `ATestPackage.getConstraint()`

### getMeasure

    public org.eclipse.emf.ecore.EEnum getMeasure()

  Specified by:
    `getMeasure` in interface `ATestPackage`
  Returns:
    the meta object for enum 'Measure'.
  See Also:
    `Measure`

### getATestFactory

    public ATestFactory getATestFactory()

  Specified by:
    `getATestFactory` in interface `ATestPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD